PROBE::IRQ_HANDLER(3stap)

NAME
probe::irq_handler.entry - Execution of interrupt handler starting

SYNOPSIS

irq_handler.entry

VALUES

dev_name
    name of device

flags
    Flags for IRQ handler

next_irqaction
    pointer to next irqaction for shared interrupts

dev_id
    Cookie to identify device

thread
    thread pointer for threaded interrupts

handler
    interrupt handler function

dir
    pointer to the proc/irq/NN/name entry

action
    struct irqaction* for this interrupt num

irq
    irq number

flags_str
    symbolic string representation of IRQ flags

thread_flags
    Flags related to thread

thread_fn
    interrupt handler function for threaded interrupts

SEE ALSO
tapset::irq(3stap)